AOZ Studio Beta - Bug #148

Variable in procedure "Undefined"
02/07/2020 10:31 AM - Nick Morison

Status: Closed Start date: 02/07/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.5

Affected version: 0.9.4

Description

In the below the output prints "Undefined" in Aoz, whereas it should just print 0 (as it does in Amos). If you remove the a=10 line then
in prints O correctly.

a=10

TEST
Wait Key
end

Procedure TEST
print a
end proc

History

#1 - 02/22/2020 05:59 AM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.5

Fixed!

#2 - 03/07/2020 02:47 PM - Baptiste Pillot
- Description updated

- Status changed from Resolved to Closed

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/486
e run : https://www.amos2.fr/run/tickleman/148
e result: 0 : ok
